RENICE(1)

NOM
renice - Modifier la priorité des processus en cours d'exécution

SYNOPSIS
renice [-n] priorité [-g|-p|-u] identifiant ...

DESCRIPTION
renice modifie la priorité d'ordonnancement d'un ou de plusieurs processus en cours d'exécution. Le premier argument est la valeur de priorité à utiliser. Les autres arguments sont interprétés comme des identifiants de processus (PID, par défaut), des identifiants de groupe de processus (PGID), des identifiants d’utilisateur (UID) ou des noms d’utilisateur. Utiliser renice sur un groupe de processus implique que tous les processus de ce groupe auront leur priorité d'ordonnancement modifiée. Lorsqu'un utilisateur est indiqué, tous les processus appartenant à celui-ci auront leur priorité d'ordonnancement modifiée.

OPTIONS

-n, --priority priorité
    Indiquer la priorité d’ordonnancement à utiliser pour le processus, le groupe de processus ou l’utilisateur. Utiliser l’option -n ou --priority est facultatif, mais si elle est utilisée, elle doit être le premier argument.

-g, --pgrp
    Interpréter les arguments suivants comme des identifiants de groupe de processus (PGID).

-p, --pid
    Interpréter les arguments suivants comme des identifiants de processus (PID, par défaut).

-u, --user
    Interpréter les arguments suivants comme des noms ou des identifiants d’utilisateur (UID).

-V, --version
    Afficher les informations sur la version et quitter.

-h, --help
    Afficher un texte d'aide puis quitter.

EXEMPLES
La commande suivante modifierait la priorité des processus avec les PID 987 et 32, et tous les processus appartenant aux utilisateurs « daemon » et « root » :

renice +1 987 -u daemon root -p 32

NOTES
Les utilisateurs ordinaires (à part le superutilisateur) ne peuvent que modifier la priorité des processus dont ils sont propriétaires et ne peuvent qu’incrémenter, comme dans une fonction monotone, leur « valeur nice » (par sécurité) dans l'intervalle 0 à 19, sauf si une limite de ressource « nice » est définie (à partir de Linux 2.6.12). Le superutilisateur peut modifier la priorité de n'importe quel processus et peut configurer la priorité avec n'importe quelle valeur dans l'intervalle -20 à 19. Les priorités utiles sont : 19 (les processus affectés ne s'exécutent que si aucun autre processus ne souhaite s'exécuter sur le système), 0 (la priorité d'ordonnancement de « base »), n'importe quelle valeur négative (pour rendre les processus plus rapides).

FICHIERS

/etc/passwd
    Correspondance entre les noms d'utilisateurs et les identifiants.

VOIR AUSSI
nice(1), getpriority(2), setpriority(2)

BOGUES
Les utilisateurs ordinaires ne peuvent pas augmenter les priorités d'ordonnancement de leurs propres processus, même s'ils avaient eux-mêmes diminué les priorités en premier lieu.

Le noyau Linux (à partir de la version 2.0.0) et libc de Linux (à partir de la version 5.2.18) ne sont pas entièrement en accord sur les détails de l'interface d'appel système pour configurer la valeur « nice ». Cela force renice à indiquer des valeurs précédentes de « nice » erronées.

HISTORIQUE
La commande renice est apparue pour la première fois dans BSD 4.0.

DISPONIBILITÉ
La commande renice fait partie du paquet util-linux, elle est disponible sur l’archive du noyau Linux (ftp://ftp.kernel.org/pub/linux/utils/util-linux/).

TRADUCTION
Cette page de manuel a été traduite par Aymeric Nys <aymeric AT nnx POINT com> en 2004. La version présente dans Debian est maintenue par les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.